
Redmine - Defect #36718

Menu Manager Test randomly fails

2022-02-28 15:00 - Vincent Robert

Status: Closed Start date:  

Priority: Low Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version:  

Description

Here is another test which fails in some circumstances.

Thank you for considering this patch.

  

+++ /test/integration/lib/redmine/menu_manager_test.rb

@@ -102,7 +102,7 @@ class MenuManagerTest < Redmine::IntegrationTest

   def test_cross_project_menu_should_hide_item_if_module_is_not_enabled_for_any_project

     user = User.find_by_login('dlopper')

-    assert_equal [1, 3, 4, 6], Project.visible(user).ids

+    assert_equal [1, 3, 4, 6], Project.visible(user).ids.sort

Related issues:

Related to Redmine - Patch #36241: MenuManagerTest randomly fails Closed

History

#1 - 2022-03-03 14:48 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Duplicate

Thank you for reporting the issue but it has already been fixed in r21297.

#2 - 2022-03-03 14:48 - Go MAEDA

- Related to Patch #36241: MenuManagerTest randomly fails added

Powered by TCPDF (www.tcpdf.org)

2025-08-23 1/1

https://www.redmine.org/projects/redmine/repository/svn/revisions/21297
http://www.tcpdf.org

